gupnp_service_action_get
gupnp_service_action_return
Gupnp Functions
PHP Manual

# gupnp_service_action_return_error

Return error code

### Description

bool gupnp_service_action_return_error ( resource `$action` , int `$error_code` [, string `$error_description` ] )

Return error code.

### Parameters

`action`

  A service action identifier.

`error_code`

  The error code. Signal can be one of the following values or user defined:

  `GUPNP_CONTROL_ERROR_INVALID_ACTION`
    The action name was invalid.
  `GUPNP_CONTROL_ERROR_INVALID_ARGS`
    The action arguments were invalid.
  `GUPNP_CONTROL_ERROR_OUT_OF_SYNC`
    Out of sync (deprecated).
  `GUPNP_CONTROL_ERROR_ACTION_FAILED`
    The action failed.
`error_description`

  The error description.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- gupnp_service_action_return